Bug 754275 - Cannot create new rows in snmpTargetAddrTable
Summary: Cannot create new rows in snmpTargetAddrTable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On:
Blocks: 956287
TreeView+ depends on / blocked
 
Reported: 2011-11-15 22:35 UTC by William Ashley
Modified: 2018-12-01 15:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, snmpd did erroneously check length of SNMP-TARGET-MIB::snmpTargetAddrRowStatus value in incoming SNMP-SET requests on 64bit platforms, which resulted into snmpd sending error reply to correct SNMP-SET request. In this update, check of SNMP-TARGET-MIB::snmpTargetAddrRowStatus is fixed and it is possible to set it remotely using SNMP-SET messages.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:22:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0876 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2012-06-19 19:28:47 UTC

Description William Ashley 2011-11-15 22:35:57 UTC
Description of problem:
There is a problem with the snmpTargetAddrTable's RowStatus column which prevents row creation.

$ snmpset -v2c -c private localhost snmpTargetAddrRowStatus.\'foo\' = createAndGo
Error in packet.
Reason: wrongLength (The set value has an illegal length from what the agent expects)
Failed object: SNMP-TARGET-MIB::snmpTargetAddrRowStatus.'foo'


Version-Release number of selected component (if applicable):
net-snmp-5.5-31.el6.x86_64


How reproducible:
always


Additional info:
This problem was fixed in net-snmp's 5.3, 5.4 and 5.5 branches in May of last year. See http://sourceforge.net/tracker/?func=detail&atid=112694&aid=2972579&group_id=12694

Comment 2 William Ashley 2011-11-16 00:48:47 UTC
This problem exists in the 6.2 beta as well.

Comment 3 Jan Safranek 2011-11-16 08:32:14 UTC
Now it's too late in RHEL 6.2 development process to fix such bug, only critical bugs are being fixed now. Please contact your Red Hat support to consult possibility of earlier fix than in RHEL 6.3.

Comment 5 Jan Safranek 2012-02-07 09:14:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, snmpd did erroneously check length of SNMP-TARGET-MIB::snmpTargetAddrRowStatus value in incoming SNMP-SET requests on 64bit platforms, which resulted into snmpd sending error reply to correct SNMP-SET request. In this update, check of SNMP-TARGET-MIB::snmpTargetAddrRowStatus is fixed and it is possible to set it remotely using SNMP-SET messages.

Comment 9 errata-xmlrpc 2012-06-20 07:22:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0876.html


Note You need to log in before you can comment on or make changes to this bug.